Package org.kapott.hbci.GV_Result

## Class GVRTANMediaList

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl
  - - org.kapott.hbci.GV_Result.GVRTANMediaList

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

    public class GVRTANMediaList
    extends HBCIJobResultImpl

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `GVRTANMediaList.TANMediaInfo`

### Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

### Constructor Summary

Constructors
`GVRTANMediaList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(GVRTANMediaList.TANMediaInfo info)`
`java.lang.Integer` `getTanOption()`
`java.util.List<GVRTANMediaList.TANMediaInfo>` `mediaList()`
`void` `setTanOption​(java.lang.Integer option)`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GVRTANMediaList

    public GVRTANMediaList()

### Method Detail

#### add

    public void add​(GVRTANMediaList.TANMediaInfo info)

#### mediaList

    public java.util.List<GVRTANMediaList.TANMediaInfo> mediaList()

#### getTanOption

    public java.lang.Integer getTanOption()

#### setTanOption

    public void setTanOption​(java.lang.Integer option)